发布时间 :1999-12-31 00:00:00
修订时间 :2016-05-25 13:08:02

[原文]Vulnerability in CGI History module in Big Brother 1.09b and 1.09c allows remote attackers to read portions of arbitrary files.

[CNNVD]Big Brother远程文件泄露漏洞(CNNVD-199912-190)

        Big Brother是一个网络监视工具包。
        Big Brother的CGI脚本bb-hist.sh存在漏洞,远程攻击者可以利用这个漏洞浏览系统本地文件。被浏览的系统文件必须是Web用户可读并且是文本类型的。

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CWE (弱点类目)

CWE-200 [信息暴露]

- CPE (受影响的平台与产品)


- OVAL (用于检测的技术细节)


- 官方数据库链接
(官方数据源) MITRE
(官方数据源) NVD
(官方数据源) CNNVD

- 其它链接及资源
(VENDOR_ADVISORY)  XF  http-cgi-bigbrother-bbhist(3755)
(VENDOR_ADVISORY)  BUGTRAQ  19990426 FW: Security Notice: Big Brother 1.09b/c

- 漏洞信息

Big Brother远程文件泄露漏洞
中危 未知
1999-12-31 00:00:00 2005-10-20 00:00:00
        Big Brother是一个网络监视工具包。
        Big Brother的CGI脚本bb-hist.sh存在漏洞,远程攻击者可以利用这个漏洞浏览系统本地文件。被浏览的系统文件必须是Web用户可读并且是文本类型的。

- 公告与补丁


        Sean MacGuire

- 漏洞信息

Big Brother History Module Arbitrary File Read
Remote / Network Access Information Disclosure
Loss of Confidentiality
Exploit Unknown

- 漏洞描述

Big Brother contains a flaw that may allow a remote attacker to view arbitrary files. The problem is that the '' CGI script does not validate user-supplied input, which may allow a remote attacker to view arbitrary files on the system resulting in a loss of integrity.

- 时间线

1999-04-26 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 1.09d or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

- 漏洞信息

Big Brother file browsing Vulnerability
Unknown 142
Yes No
1999-04-26 12:00:00 2009-07-11 12:16:00
This vulnerability was discovered by Michael Smith <>.

- 受影响的程序版本

Sean MacGuire Big Brother 1.0 9c
Sean MacGuire Big Brother 1.0 9b
Sean MacGuire Big Brother 1.0 9d

- 不受影响的程序版本

Sean MacGuire Big Brother 1.0 9d

- 漏洞讨论

Big Brother is a loosely-coupled distributed set of tools for monitoring and displaying the current status of an entire network and notifying the admin should need be. A vulnerability in the CGI script, the new history viewer, can be exploited to allow the partial display of local files provided they are readable by the user id CGI scripts are executed under by the web server, and that they are text based.

- 漏洞利用

Currently the SecurityFocus staff are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at:

- 解决方案

Upgrade to Big Brother 1.09d or later.

- 相关参考